# List Conan Packages of a Recipe Revision

List the packages (PKGIDs) under a Conan recipe revision.

Endpoint: GET /har/api/v3/versions/{id}/conan/recipe-revisions/{recipe_revision}/packages
Version: 1.0
Security: x-api-key

## Query parameters:

  - `account_identifier` (string, required)
    Unique identifier for the Harness account.

  - `page` (integer)
    The page number for pagination (0-indexed).

Used to navigate through large result sets. Combined with size parameter
to control which subset of results to return.

Example: page=0 returns the first page, page=1 returns the second page

  - `size` (integer)
    The number of items to return per page.

Controls the page size for paginated results. 

Example: size=50 returns up to 50 items per page

## Path parameters:

  - `id` (string, required)

  - `recipe_revision` (string, required)
    Conan recipe revision (RREV) hash.

## Response 200 fields (application/json):

  - `hasMore` (boolean, required)
    True if more results exist after this page.
    Example: true

  - `page` (integer, required)
    The current page (0-indexed)

  - `size` (integer, required)
    Number of items per page
    Example: 20

  - `items` (array, required)

  - `items.latestPackageRevision` (string)
    The newest finalized package revision hash.

  - `items.options` (object)
    Build options parsed from conaninfo.txt.

  - `items.packageId` (string, required)
    The package id hash.

  - `items.settings` (object)
    Build settings parsed from conaninfo.txt.

  - `items.size` (string)
    Size of the latest finalized package revision.

## Response default fields (application/json):

  - `error` (object, required)

  - `error.code` (string)
    For some errors that could be handled programmatically, a short string indicating the [error code](https://docs.stripe.com/error-codes) reported.

  - `error.message` (string)
    A human-readable message providing more details about the error. These messages can be shown to users.

  - `error.param` (string)
    If the error is parameter-specific, the parameter related to the error. For example, we can use this to display a message near the correct form field.

  - `error.type` (string, required)
    The type of error returned.
    Enum: "INVALID_REQUEST_ERROR", "AUTHENTICATION_ERROR", "PERMISSION_ERROR", "API_ERROR"


